> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate a self-signed cert for the specified credential.

> Note that this does _not_ immediately associate the certificate
with the credential; the credential still needs to be updated
afterwards.

## OpenAPI

````json POST /sys/v1/accounts/{acct_id}/replication/credentials/{credential_id}/self_sign
{
  "openapi": "3.0.0",
  "info": {
    "title": "Fortanix DSM REST API",
    "description": "This is a set of REST APIs for accessing the Fortanix Data Security Manager. This includes APIs for managing accounts, and for performing cryptographic and key management operations. \n\n **Note:** \n- All binary input should be base64-encoded. These fields are marked with `format: byte`. \n- For forward compatibility, any API client is expected to ignore any fields in the response not explicitly mentioned in the documentation. We reserve the right to add new fields at any time to provide new functionality without affecting existing API clients.",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "version": "0.1.0-20260526"
  },
  "servers": [
    {
      "url": "https://amer.smartkey.io"
    }
  ],
  "paths": {
    "/sys/v1/accounts/{acct_id}/replication/credentials/{credential_id}/self_sign": {
      "post": {
        "operationId": "ReplicationCredentialSelfSignedCert",
        "tags": [
          "Accounts"
        ],
        "security": [
          {
            "bearerToken": []
          },
          {
            "apiKeyAuth": []
          }
        ],
        "summary": "Generate a self-signed cert for the specified credential.",
        "description": "Note that this does _not_ immediately associate the certificate\nwith the credential; the credential still needs to be updated\nafterwards.",
        "parameters": [
          {
            "name": "acct_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "credential_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ReplicationCredentialSelfSignedCertRequest"
              }
            }
          }
        },
        "responses": {
          "2XX": {
            "description": "Success result",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ReplicationCredentialSelfSignedCertResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "ReplicationCredentialSelfSignedCertRequest": {
        "allOf": [
          {
            "type": "object",
            "description": "A request to generate a new self-signed certificate for a\nreplication credential.\n\nFor now, the default attributes will include the following:\n- Version 3 certificate\n- Subject:\n- Common name is \"<acct-id> replication credential <credential-id>\",\nwhere <acct-id> and <credential-id> are replaced with the actual IDs\n- No other attributes in the subject\n- No expiry (represented by 99991231235959Z as per RFC 5280)\n- There will not be a basic constraints extension",
            "properties": {}
          }
        ]
      },
      "ReplicationCredentialSelfSignedCertResponse": {
        "allOf": [
          {
            "type": "object",
            "description": "Response from the endpoint to generate a new self-signed cert for a replication credential.",
            "properties": {
              "certificate": {
                "type": "string",
                "format": "byte",
                "description": "The self-signed certificate generated by DSM."
              }
            },
            "required": [
              "certificate"
            ]
          }
        ]
      }
    }
  }
}
````

